package com.sqx.modules.resumes.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.firstLogin.entity.ResumesDto;
import com.sqx.modules.resumes.entity.Resumes;
import com.sqx.modules.resumes.entity.ResumesListDto;
import com.sqx.modules.utils.excel.ExcelData;


public interface ResumesService extends IService<Resumes> {

    Result insertResumes(Resumes resumes);

    Resumes selectResumesByUserId(Long userId);

    Result updateResumesStatus(Resumes resumes);

    Result updateResumes(Resumes resumes);

    Result updateResumess(Resumes resumes);

    Result selectResumesList(Integer page, Integer limit,String startTime,String endTime,Resumes resumes);

    Result selectResumesListByCompany(Integer page, Integer limit, Long companyId, Resumes resumes, Integer screen);

    Result deleteResumesByResumesId(Long resumesId);



    Result auditResumes(String ids, String content, Integer status);


    Resumes selectResumesByResumesId(Long resumesId,Long userId,Long companyId);

    Resumes selectResumesByResumesIds(Long resumesId);

    Result refreshResumes(Long userId, Long resumesId);

    Result sendResumes(Long userId, Long to, Long postPushId);

    ExcelData exportExcelResumesList(String startTime, String endTime, Resumes resumes);

    Result checkPower(Long resumesId, Long userId);

    Result updateShow(Long resumesId);

    Result selectResumesListHr(Integer page, Integer limit, ResumesListDto resumesDto);
}
